geos::operation::overlayng::RobustClipEnvelopeComputer Class Reference

`#include <RobustClipEnvelopeComputer.h>`

## Public Member Functions

| RobustClipEnvelopeComputer (const Envelope *p_targetEnv)
Envelope | getEnvelope ()

## Static Public Member Functions

static Envelope | getEnvelope (const Geometry *a, const Geometry *b, const Envelope *targetEnv)

## Detailed Description

Computes a robust clipping envelope for a pair of polygonal geometries. The envelope is computed to be large enough to include the full length of all geometry line segments which intersect a given target envelope. This ensures that line segments which might intersect are not perturbed when clipped using `RingClipper`.

Author
  mdavis

The documentation for this class was generated from the following file:

- RobustClipEnvelopeComputer.h